Update Sales Order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

HTTP Method: PUT

Endpoint URL: https://coreapi.impexdocs.com/api/v1/salesorder/{salesorder_id}

Authentication: Required

Response Format: JSON

Description

To modify a Sales Order, make a PUT request to the specified endpoint with the required information. The response will be a JSON object containing:

  • Response Code
  • Message

Request

Path Parameter

  • Sales Order ID (salesorder_id): The identifier generated during the creation of a new Sales Order. Retrieve this ID from the response of the POST Sales Order API.

Example Path Parameter

https://coreapi.impexdocs.com/api/v1/salesorder/your_sales_order_id

Example Request

Ensure to include the Sales Order ID in the path and provide any additional fields that need modification in the request JSON.

Response

The API will respond with a JSON object containing:

  • Response Code
  • Message

Example Response JSON

{
  "response_code": 200,
  "message": "Sales Order modified successfully"
}

Note

  • Ensure proper authentication before making the request.
  • Use the Sales Order ID obtained during the creation of the Sales Order for the path parameter.
  • Provide the necessary fields to be modified in the request JSON.
Path Params
string
required
Body Params
string | null

This is the Current Status of the SalesOrder. While creating sales order, default value "Created" needs to be passed.

string | null
string | null
string | null
string | null
buyer_and_refrence_details
object
boolean

Validation on Partner Code is optional. If value is false, we will save the Partner data without any validation.
If value is true, we will validate Partner Code. Blank and Invalid code will not be allowed.

partner
array of objects | null
partner
transport_and_other_details
object
product_details
object
additional_information
object
other_information
object
terms_and_condition
object
internal_notes_details
object
payment_and_other_details
object
signatory_and_other_details
object
external_documents
array of objects | null
external_documents
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json